#include "filters.h"

err_t writebuf(int fd, const char *buf, size_t len)
{
  size_t index=0;
  int bytes=0;
  struct timeval t1;
  struct timeval t2;
  int cycles=0;

  gettimeofday(&t1,NULL);
  while ((bytes=write(fd,buf+index,len-index))>0)
    {
      index += bytes;
      cycles++;
    }
  gettimeofday(&t2,NULL);

  dprintf("writebuf() wrote %ld bytes in %ld.%06ld seconds using %d write() calls\n",
	  len,timediff(t1,t2),cycles);

  if (bytes==0)
    return(e_ok);
  else
    return(e_err);
}
